> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://nemo-platform.docs.buildwithfern.com/nemo/platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://nemo-platform.docs.buildwithfern.com/nemo/platform/_mcp/server.

# Upload Fileset Content

PUT https://host.com/apis/files/v2/workspaces/{workspace}/filesets/{name}/-/{path}
Content-Type: application/octet-stream

Upload file content to a fileset.

Reference: https://nemo-platform.docs.buildwithfern.com/nemo/platform/nemo/platform/documentation/reference/api-reference/files/upload-file-apis-files-v-2-workspaces-workspace-filesets-name-path-put

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Nemo Platform API
  version: 1.0.0
paths:
  /apis/files/v2/workspaces/{workspace}/filesets/{name}/-/{path}:
    put:
      operationId: upload-file-apis-files-v-2-workspaces-workspace-filesets-name-path-put
      summary: Upload Fileset Content
      description: Upload file content to a fileset.
      tags:
        - subpackage_files
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
        - name: name
          in: path
          required: true
          schema:
            type: string
        - name: path
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FilesetFileOutput'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      requestBody:
        description: Upload the file either as a raw octet stream.
        content:
          application/octet-stream:
            schema:
              type: string
              format: binary
servers:
  - url: https://host.com
    description: Default
components:
  schemas:
    CacheStatus:
      type: string
      enum:
        - cached
        - caching
        - not_cached
        - not_cacheable
      description: Cache status for files in external storage backends.
      title: CacheStatus
    FilesetFileOutput:
      type: object
      properties:
        file_ref:
          type: string
        file_url:
          type: string
        path:
          type: string
        size:
          type: integer
        cache_status:
          $ref: '#/components/schemas/CacheStatus'
      required:
        - file_ref
        - file_url
        - path
        - size
      title: FilesetFileOutput
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
        input:
          description: Any type
        ctx:
          type: object
          additionalProperties:
            description: Any type
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError

```

## Examples



**Request**

```json
"VGhpcyBpcyBhIHRlc3QgZmlsZSBjb250ZW50Lg=="
```

**Response**

```json
{
  "file_ref": "fileset_12345abcdef",
  "file_url": "https://storage.nemo-platform.com/workspaces/marketing/filesets/images/-/banners/spring_sale.png",
  "path": "banners/spring_sale.png",
  "size": 245678,
  "cache_status": "cached"
}
```

**SDK Code**

```python
import requests

url = "https://host.com/apis/files/v2/workspaces/workspace/filesets/name/-/path"

payload = "\"VGhpcyBpcyBhIHRlc3QgZmlsZSBjb250ZW50Lg==\""
headers = {"Content-Type": "application/octet-stream"}

response = requests.put(url, data=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://host.com/apis/files/v2/workspaces/workspace/filesets/name/-/path';
const options = {
  method: 'PUT',
  headers: {'Content-Type': 'application/octet-stream'},
  body: '"VGhpcyBpcyBhIHRlc3QgZmlsZSBjb250ZW50Lg=="'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://host.com/apis/files/v2/workspaces/workspace/filesets/name/-/path"

	payload := strings.NewReader("\"VGhpcyBpcyBhIHRlc3QgZmlsZSBjb250ZW50Lg==\"")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Content-Type", "application/octet-stream")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://host.com/apis/files/v2/workspaces/workspace/filesets/name/-/path")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/octet-stream'
request.body = "\"VGhpcyBpcyBhIHRlc3QgZmlsZSBjb250ZW50Lg==\""

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://host.com/apis/files/v2/workspaces/workspace/filesets/name/-/path")
  .header("Content-Type", "application/octet-stream")
  .body("\"VGhpcyBpcyBhIHRlc3QgZmlsZSBjb250ZW50Lg==\"")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://host.com/apis/files/v2/workspaces/workspace/filesets/name/-/path', [
  'body' => '"VGhpcyBpcyBhIHRlc3QgZmlsZSBjb250ZW50Lg=="',
  'headers' => [
    'Content-Type' => 'application/octet-stream',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://host.com/apis/files/v2/workspaces/workspace/filesets/name/-/path");
var request = new RestRequest(Method.PUT);
request.AddHeader("Content-Type", "application/octet-stream");
request.AddParameter("application/octet-stream", "\"VGhpcyBpcyBhIHRlc3QgZmlsZSBjb250ZW50Lg==\"", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/octet-stream"]

let postData = NSData(data: ""VGhpcyBpcyBhIHRlc3QgZmlsZSBjb250ZW50Lg=="".data(using: String.Encoding.utf8)!)

let request = NSMutableURLRequest(url: NSURL(string: "https://host.com/apis/files/v2/workspaces/workspace/filesets/name/-/path")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```